package uy.edu.fing.tse.practico.db.startup;

import uy.edu.fing.tse.dto.NoticiaDTO;
import uy.edu.fing.tse.practico.db.DataAccessBean;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.ejb.EJB;
import javax.ejb.Singleton;
import javax.ejb.Startup;

@Singleton
@Startup
public class Config {

    @EJB
    private DataAccessBean dataAccess;

    @PostConstruct
    public void start() {
        dataAccess.alta(new NoticiaDTO(null, "Primera Noticia", "Esta descripcion es de la noticia"));
        dataAccess.alta(new NoticiaDTO(null, "Segunda Noticia", "Se esta escribiendo aun"));
        dataAccess.alta(new NoticiaDTO(null, "Extra Extra Noticia", "El coyote se comio al correcaminos, al parecer cambio de proveedor de productos"));
    }

    @PreDestroy
    public void stop() {
    }


}
