package uy.edu.fing.tse.practico.db;

import uy.edu.fing.tse.dto.NoticiaDTO;
import uy.edu.fing.tse.dto.PublicacionDTO;

import java.util.List;

public interface DataAccess {

    NoticiaDTO alta(final NoticiaDTO noticia);

    PublicacionDTO alta(final PublicacionDTO publicacion);

    NoticiaDTO find(long idNoticia);

    List<NoticiaDTO> getNoticias();

    List<PublicacionDTO> getPublicaciones();

    public NoticiaDTO addPublicacionToNoticia(final PublicacionDTO pub, final long idNoticia);
}
